0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Typedefs
std_based_type.hpp File Reference

GLM_GTX_std_based_type More...

Go to the source code of this file.

## Typedefs
typedef vec< 1, std::size_t, defaultp > | size1
| Vector type based of one std::size_t component. More...
typedef vec< 1, std::size_t, defaultp > | size1_t
| Vector type based of one std::size_t component. More...
typedef vec< 2, std::size_t, defaultp > | size2
| Vector type based of two std::size_t components. More...
typedef vec< 2, std::size_t, defaultp > | size2_t
| Vector type based of two std::size_t components. More...
typedef vec< 3, std::size_t, defaultp > | size3
| Vector type based of three std::size_t components. More...
typedef vec< 3, std::size_t, defaultp > | size3_t
| Vector type based of three std::size_t components. More...
typedef vec< 4, std::size_t, defaultp > | size4
| Vector type based of four std::size_t components. More...
typedef vec< 4, std::size_t, defaultp > | size4_t
| Vector type based of four std::size_t components. More...

## Detailed Description

GLM_GTX_std_based_type

See also
  GLM Core (dependence)
  GLM_GTX_extented_min_max (dependence)

Definition in file std_based_type.hpp.